# std::ratio_multiply< _R1, _R2 > Struct Template Reference
[Rational Arithmetic]

ratio_multiply More...

List of all members.

## Public Types

- typedef ratio< __safe_multiply
  <(_R1::num/__gcd1),(_R2::num/__gcd2)>
  ::value, __safe_multiply
  <(_R1::den/__gcd2),(_R2::den/__gcd1)>
  ::value > type

## Detailed Description

### template<typename _R1, typename _R2>
struct std::ratio_multiply< _R1, _R2 >

ratio_multiply

Definition at line 198 of file ratio.

The documentation for this struct was generated from the following file:

- ratio